# DataExchange
TKSTEP
STEPConstruct

# STEPConstruct_Tool Class Reference

Provides basic functionalities for tools which are intended
for encoding/decoding specific STEP constructs
.

`#include <STEPConstruct_Tool.hxx>`

Inheritance diagram for STEPConstruct_Tool:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | STEPConstruct_Tool ()
| Creates an empty tool .
Standard_EXPORT | STEPConstruct_Tool (const Handle(XSControl_WorkSession)&WS)
| Creates a tool and loads it with worksession .
const Handle_XSControl_WorkSession & | WS () const
| Returns currently loaded WorkSession .
Handle_Interface_InterfaceModel | Model () const
| Returns current model (Null if not loaded) .
const Interface_Graph & | Graph (const Standard_Boolean recompute=Standard_False) const
| Returns current graph (recomputing if necessary) .
const Handle_Transfer_TransientProcess & | TransientProcess () const
| Returns TransientProcess (reading; Null if not loaded) .
const Handle_Transfer_FinderProcess & | FinderProcess () const
| Returns FinderProcess (writing; Null if not loaded) .

## Protected Member Functions

Standard_EXPORT Standard_Boolean | SetWS (const Handle(XSControl_WorkSession)&WS)
| Load worksession; returns True if succeeded Returns False if either FinderProcess of TransientProcess cannot be obtained or are Null .

## Private Attributes

Handle_XSControl_WorkSession | myWS
Handle_Transfer_FinderProcess | myFinderProcess
Handle_Transfer_TransientProcess | myTransientProcess
Handle_Interface_HGraph | myHGraph

## Constructor & Destructor Documentation

Standard_EXPORT STEPConstruct_Tool::STEPConstruct_Tool | ( |  | ) |

Standard_EXPORT STEPConstruct_Tool::STEPConstruct_Tool | ( | const Handle(XSControl_WorkSession)& | WS | ) |

## Member Function Documentation

const Handle_Transfer_FinderProcess& STEPConstruct_Tool::FinderProcess | ( |  | ) | const

const Interface_Graph & STEPConstruct_Tool::Graph | ( | const Standard_Boolean | recompute = `Standard_False` | ) | const`[inline]`

Handle_Interface_InterfaceModel STEPConstruct_Tool::Model | ( |  | ) | const

void STEPConstruct_Tool::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented in StepAP209_Construct, STEPConstruct_ExternRefs, STEPConstruct_Styles, and STEPConstruct_ValidationProps.

void* STEPConstruct_Tool::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented in StepAP209_Construct, STEPConstruct_ExternRefs, STEPConstruct_Styles, and STEPConstruct_ValidationProps.

void* STEPConstruct_Tool::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented in StepAP209_Construct, STEPConstruct_ExternRefs, STEPConstruct_Styles, and STEPConstruct_ValidationProps.

Standard_EXPORT Standard_Boolean STEPConstruct_Tool::SetWS | ( | const Handle(XSControl_WorkSession)& | WS | ) | `[protected]`

const Handle_Transfer_TransientProcess& STEPConstruct_Tool::TransientProcess | ( |  | ) | const

const Handle_XSControl_WorkSession& STEPConstruct_Tool::WS | ( |  | ) | const

## Field Documentation

Handle_Transfer_FinderProcess STEPConstruct_Tool::myFinderProcess `[private]`

Handle_Interface_HGraph STEPConstruct_Tool::myHGraph `[private]`

Handle_Transfer_TransientProcess STEPConstruct_Tool::myTransientProcess `[private]`

Handle_XSControl_WorkSession STEPConstruct_Tool::myWS `[private]`

The documentation for this class was generated from the following files:

- STEPConstruct_Tool.hxx
- STEPConstruct_Tool.lxx